/*
 * Copyright (c) 2002-2015 Oracle and/or its affiliates. All rights reserved.
 */

package javasoft.sqe.tests.javax.mail.internet.ParameterList;

import java.util.*;
import java.io.*;
import javax.mail.*;
import javax.mail.internet.*;
import com.sun.javatest.*;
import javasoft.sqe.tests.javax.mail.util.MailTest;

/**
 * This class tests the <strong>get()</strong> API.
 * It does by passing various valid input values and then checking
 * the type of the returned object.	<p>
 *
 *	    	Returns the value of the specified parameter. <p>
 * api2test: public String get()  <p>
 *
 * how2test: Call API, if this call returns an expected string object,
 *	     then testcase passes, otherwise it fails.
 */

public class get_Test extends MailTest {

    public static String[] pname  = { "charset","html","audio","i18set","image" };
    public static String[] pvalue = { "us-ascii","html-4.x","us-dolby","ISO-9000-XZ","US-VHS" };

    public static void main( String argv[] )
    {
        get_Test test = new get_Test();
        Status s = test.run(argv, System.err, System.out);
	s.exit();
    }

    public Status run(String argv[], PrintWriter log, PrintWriter out)
    {
	super.run(argv, log, out);
	parseArgs(argv);	// parse command-line options

        out.println("\nTesting class ParameterList: get(String)\n");

        try {
	  // create a ParameterList object
	     ParameterList parmlist = new ParameterList();

	     if( parmlist == null ) {
		 return Status.failed("Warning: Failed to create ParameterList object!");
	     }
	  // BEGIN UNIT TEST:

	     for( int i = 0; i < pname.length; i++ )
	     {
	     	  out.println("UNIT TEST "+ i +":  get("+ pname[i] +")");
		  parmlist.set(pname[i], pvalue[i]);

		  // get a value for a specified parameter
		  String value = parmlist.get(pname[i]);	// API TEST

		  if( pvalue[i].equals(value) )
		      out.println("UNIT TEST "+ i +": passed");
		  else {
			out.println("UNIT TEST "+ i +": FAILED");
			errors++;
		  }
	     }
	  // END UNIT TEST:
             checkStatus();

        } catch ( Exception e ) {
	     handlException(e);
        }
	return status;
     }
}
